> For the complete documentation index, see [llms.txt](https://docs-en.dmflow.chat/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs-en.dmflow.chat/channel/web.md).

# Web

**Web Version**

The web version offers customizable colors and tools to redirect to other websites.

**JavaScript SDK**

**Embed Window:**

```html
<script type="module">
  import Chatbot from "{{sdk url}}";
  Chatbot.init({"id":"{{bot id}}","theme":{"button":{"backgroundColor":"#9c27b0"},"header":{"backgroundColor":"#9c27b0"}}});
</script>
```

To use other chatbot brands or web support, use `observersConfig` to monitor user input. If "help" is detected, the chatbot is destroyed.

```json
{
	"id": "{{bot id}}",
	"theme": {
		"button": {
			"backgroundColor": "#9c27b0"
		},
		"header": {
			"backgroundColor": "#9c27b0"
		}
	},
	"observersConfig": {
		"observeUserInput": (userInput) => {
			if (userInput === 'help') {
				Chatbot.destroy()
			}
		}
	}
}
```

**Full Page:**

```html
<dmflow-fullchatbot id="{{bot id}}"></dmflow-fullchatbot>
<script type="module">
  import Chatbot from "{{sdk url}}";
  Chatbot.initFull({"id":"{{bot id}}");
</script>
```

**Sample Website**

{% embed url="<https://www.talkyon.com>" %}

**Link Window:**

&#x20;After enabling Share, obtain the encoded ID, e.g., @8aYK2AoGe0. Visit <https://app.dmflow.chat/s/\\{{id\\}}> to open the link window.

The link window supports logging in from the backend to continue the previous conversation.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs-en.dmflow.chat/channel/web.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
